Subject: Re: bug#75949: kill-buffer-quit-windows breaks kill-buffer-hook

From: Juri Linkov <[email-masked]>
Date: Mon, 03 Feb 2025 09:52:47 +0200

> Whatever it is, nesting 'kill-buffer-hook' as in
>
>  (add-hook 'kill-buffer-hook (lambda () (kill-buffer (get-buffer "bar")))
> 	    nil t)
>
> is not really recommended.

What is a recommended way to do this?  This is a valid use case
when killing one buffer requires also killing a dependent buffer.